#
# spec file for package python-cachetools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cachetools
Version:        1.1.6
Release:        1.1
Summary:        Extensible memoizing collections and decorators
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/tkem/cachetools
Source:         https://pypi.io/packages/source/c/cachetools/cachetools-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library `@lru_cache`_
function decorator.

%prep
%setup -q -n cachetools-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE CHANGES.rst
%{python_sitelib}/*

%changelog
* Tue Aug 30 2016 tbechtold@suse.com
- update to 1.1.6:
  - Reimplement ``LRUCache`` and ``TTLCache`` using
    ``collections.OrderedDict``.  Note that this will break pickle
    compatibility with previous versions.
  - Fix ``TTLCache`` not calling ``__missing__()`` of derived classes.
  - Handle ``ValueError`` in ``Cache.__missing__()`` for consistency
    with caching decorators.
  - Improve how ``TTLCache`` handles expired items.
  - Use ``Counter.most_common()`` for ``LFUCache.popitem()``.
  - Refactor ``Cache`` base class.  Note that this will break pickle
    compatibility with previous versions.
  - Clean up ``LRUCache`` and ``TTLCache`` implementations.
  - Refactor ``LRUCache`` and ``TTLCache`` implementations.  Note that
    this will break pickle compatibility with previous versions.
  - Document pending removal of deprecated features.
  - Minor documentation improvements.
  - Fix pickle tests.
  - Fix pickling of large ``LRUCache`` and ``TTLCache`` instances.
  - Improve key functions.
  - Improve documentation.
  - Improve unit test coverage.
  - Add ``@cached`` function decorator.
  - Add ``hashkey`` and ``typedkey`` fuctions.
  - Add `key` and `lock` arguments to ``@cachedmethod``.
  - Set ``__wrapped__`` attributes for Python versions < 3.2.
  - Move ``functools`` compatible decorators to ``cachetools.func``.
  - Deprecate ``@cachedmethod`` `typed` argument.
  - Deprecate `cache` attribute for ``@cachedmethod`` wrappers.
  - Deprecate `getsizeof` and `lock` arguments for `cachetools.func`
    decorator.
- Use pypi.io as Source url
* Thu Jul  9 2015 dmueller@suse.com
- Initial package (1.0.3)
